## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate jql

Name:           rust-jql
Version:        7.1.13
Release:        %autorelease
Summary:        JQL is a fast and simple command-line tool to manipulate JSON data

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/jql
Source:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Jql - JSON Query Language - is a fast and simple command-line tool to
manipulate JSON data.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# EPL-2.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
License:        (Apache-2.0 OR BSL-1.0) AND (Apache-2.0 OR MIT) AND (Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT) AND EPL-2.0 AND MIT AND (Unlicense OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-APACHE
%license LICENSE-MIT
%license LICENSE.dependencies
%doc README.md
%{_bindir}/jql

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Aug 03 2024 blinxen <h-k-81@hotmail.com> - 7.1.13-1
- Update to version 7.1.13 (rhbz#2259184)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 7.1.2-3
- Rebuild with Rust 1.78 to fix incomplete debuginfo and backtraces

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jan 04 2024 blinxen <h-k-81@hotmail.com> - 7.1.2-1
- Update to version 7.1.2

* Fri Nov 10 2023 blinxen <h-k-81@hotmail.com> - 7.0.6-2
- Update to version 7.0.6

* Thu Nov 09 2023 blinxen <h-k-81@hotmail.com> - 7.0.6-1
- Update to version 7.0.4 (rhbz#2116889)

* Tue Oct 31 2023 blinxen <h-k-81@hotmail.com> - 7.0.4-1
- Update to version 7.0.4 (rhbz#2116889)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 4.0.6-7
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Fabio Valentini <decathorpe@gmail.com> - 4.0.6-5
- Disable doctests on ppc64le to work around a compiler crash on LLVM 15

* Mon Nov 21 2022 Kalev Lember <klember@redhat.com> - 4.0.6-4
- Automatically generate LICENSE.dependencies during the build

* Mon Nov 21 2022 Kalev Lember <klember@redhat.com> - 4.0.6-3
- Re-generate the spec file with rust2rpm 23

* Tue Jul 26 2022 Fabio Valentini <decathorpe@gmail.com> - 4.0.6-2
- Disable doctests on armv7hl to work around rustc crashes with LLVM 14

* Tue Jul 26 2022 Fabio Valentini <decathorpe@gmail.com> - 4.0.6-1
- Update to version 4.0.6; Fixes RHBZ#2005911

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 2.9.5-3
- Rebuild with package notes

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Aug 24 2021 Fabio Valentini <decathorpe@gmail.com> - 2.9.5-1
- Update to version 2.9.5; Fixes RHBZ#1997033

* Sat Aug 07 2021 Fabio Valentini <decathorpe@gmail.com> - 2.9.4-2
- Rebuild with crossbeam-deque 0.8.1 / 0.7.4 for CVE-2021-32810

* Thu Jul 29 2021 Fabio Valentini <decathorpe@gmail.com> - 2.9.4-1
- Update to version 2.9.4; Fixes RHBZ#1895640

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.7.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 13:31:07 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.7.4-2
- Rebuild

* Thu Oct 15 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.4-1
- Update to version 2.7.4.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 2.7.2-1
- Update to version 2.7.2.

* Wed Aug 26 2020 Josh Stone <jistone@redhat.com> - 2.7.1-1
- Update to 2.7.1

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 2.6.1-1
- Update to 2.6.1

* Tue May 26 2020 Josh Stone <jistone@redhat.com> - 2.6.0-1
- Update to 2.6.0

* Thu Apr 30 2020 Josh Stone <jistone@redhat.com> - 2.5.1-1
- Update to 2.5.1

* Mon Apr 27 08:24:01 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.5.0-1
- Update to 2.5.0

* Tue Feb 11 10:10:25 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 2.4.9-1
- Update to 2.4.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jan 25 2020 Josh Stone <jistone@redhat.com> - 2.4.8-1
- Update to 2.4.8

* Fri Dec 20 11:43:01 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.4.7-1
- Initial package

## END: Generated by rpmautospec
